//
// SIMULATION OF PROCESSES
//

new;

#include "repfiles_final\\EstimationProcs.ind";
#include "repfiles_final\\varmaAUXprocsV2.ind";
#include "repfiles_final\\VARestimation.ind";
#include "repfiles_final\\paraval.ind";





/*-----------------------------------------------------------------------*/
// Simulation Parameters:

    experiment=14;
    TT=100;
    NN=1000;
    save_results=1;

    string2="C:\\My Dropbox\\VARMAest_final\\repfiles_final\\ndata\\ser";

    string2=string2$+ftocv(experiment,1,0)$+"T"$+ftocv(TT,1,0)$+".txt";
    output file = ^string2;

/*-----------------------------------------------------------------------*/


 
    {KK,p,q,AA0,AA1,AA2,MM1,MM2,covar}=paravalues(experiment);
    
    constant=zeros(KK,1);
   
    ar_mat=inv(AA0)*AA1;
    ma_mat=inv(AA0)*MM1;
    covmat=covar;
    if p>1;
        ar_mat=ar_mat~(inv(AA0)*AA2);
    endif;

    if q>1;
        ma_mat=ma_mat~(inv(AA0)*MM2);
    endif;


/*-----------------------------------------------------------------------*/
// Simulation:

    state=123456; 
    ymat={};
    for i (1,NN,1);
            {y,state}=varma_simu(constant,ar_mat,ma_mat,covmat,TT+4,state);
            ymat=ymat|y;
    endfor;

    
    if save_results==1;
        
            screen off;
            output reset;
            print ymat;
            output off;
            screen on; 

    endif;   
 